#ifndef _WATER_H
#define _WATER_H


bool AnimateNextFrame(int desiredFrameRate);
void LoadAnimTextures(UINT textureArray[], LPSTR szFileName, int startIndex, int bitmapCount);
void CreateRenderTexture(UINT textureArray[], int size, int channels, int type, int textureID);
void RenderCaustics(float waterHeight, float causticScale, float delta);
void CreateReflectionTexture(float waterHeight, int textureSize, float delta);
void CreateRefractionDepthTexture(float waterHeight, int textureSize, float delta);
void RenderWater(float waterHeight);

#endif

